<?php
/**
 * @package		Invoicing
 * @copyright	Copyright (C) 2010-2014 Juloa.com. All rights reserved.
 * @license GNU General Public License version 3, or later
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );
?>
<div class="juloawrapper adsInvoice">
<div class="row">
    <div class="col-md-12">
        <h3><?php echo JText::_('INVOICING_USER_INFORMATION')?></h3>
	</div>
	<div class="col-md-6">
        <?php echo @htmlspecialchars($this->user['name']) ?><br/>
		<?php echo @htmlspecialchars($this->user['address1']) ?><br/>
		<?php if ($this->user['address2'] != "") { echo htmlspecialchars($this->user['address2']); } ?><br/>
		<?php echo @htmlspecialchars($this->user['zip']) ?> <?php echo @htmlspecialchars($this->user['city']) ?><br/>
		<?php echo InvoicingHelperSelect::formatCountry($this->user['country']) ?>
    </div>
	<div class="col-md-6">
		<a class="btn btn-primary pull-right" href="<?php echo $this->editprofileurl ?>"><?php echo JText::_('INVOICING_EDIT_USER_PROFILE')?></a>
	</div>
</div>
<br/>
<div class="row">
    <div class="col-md-12">
        <h3><?php echo JText::_('INVOICING_COMMON_INVOICE')?></h3>
    </div>
</div>
<div class="row">
    <div class="col-md-12">
        <table class="table paymentTable" border="0" cellpadding="5" cellspacing="0" width="100%">
            <thead>
                <tr>
                    <th align="left" width="50%" valign="top"><?php echo JText::_('INVOICING_COMMON_DESCRIPTION');?></th>
                    <th align="left" width="10%" valign="top"><?php echo JText::_('INVOICING_COMMON_QUANTITY');?></th>
                    <th align="left" width="10%" valign="top"><?php echo JText::_('INVOICING_COMMON_TAX');?></th>
                    <th align="right" width="10%" valign="top" class="thprice"><?php echo JText::_('INVOICING_COMMON_UNIT_PRICE');?></th>
                </tr>
            </thead>
            <tbody>
<?php foreach($this->invoice->items as $item) { ?>
                <tr>
                    <td align="left" width="50%" valign="top"><?php echo htmlspecialchars($item->name);if ($item->description != "") { echo "<br/>".htmlspecialchars($item->description); }?></td>
                    <td align="left" width="10%" valign="top"><?php echo $item->quantity ?></td>
                    <td align="left" width="10%" valign="top"><?php echo $item->tax ?></td>
                    <td align="right" width="10%" valign="top"><?php echo InvoicingHelperFormat::formatPrice($item->net_unit_price,$this->invoice->currency_id) ?></td>
                </tr>
<?php } ?> 
            </tbody>
        </table>
    </div>
</div>
<div class="row">
    <div class="col-md-3 pull-right">
        <table class="table finalPriceTable" border="0" cellpadding="5" cellspacing="0" width="100%">
            <tbody>
                <tr>
                    <td align="right" width="70%" valign="top"><?php echo JText::_('INVOICING_DISCOUNT_TTC') ?></td>
                    <td align="right" width="30%" valign="top"><?php echo InvoicingHelperFormat::formatPrice($this->invoice->gross_discount_amount,$this->invoice->currency_id) ?></td>
                </tr>
                <tr class="grey">
                    <td align="right" width="70%" valign="top"><?php echo JText::_('INVOICING_COMMON_AMOUNT_WITHOUT_TAX') ?></td>
                    <td align="right" width="30%" valign="top"><?php echo InvoicingHelperFormat::formatPrice($this->invoice->net_amount,$this->invoice->currency_id) ?></td>
                </tr>
                <tr class="grey">
                    <td align="right" width="70%" valign="top"><?php echo JText::_('INVOICING_COMMON_TAX') ?></td>
                    <td align="right" width="30%" valign="top"><?php echo InvoicingHelperFormat::formatPrice($this->invoice->tax_amount,$this->invoice->currency_id) ?></td>
                </tr>
                <tr class="finalPrice">
                    <td align="right" width="70%" valign="top"><?php echo JText::_('INVOICING_COMMON_AMOUNT_WITH_TAX') ?></td>
                    <td align="right" width="30%" valign="top"><?php echo InvoicingHelperFormat::formatPrice($this->invoice->gross_amount,$this->invoice->currency_id) ?></td>
                </tr>	
            </tbody>
        </table>
    </div>
</div>
<?php if ($this->invoice->notes != "") { ?>
<div class="row">
    <div class="col-md-12">
        <h3><?php echo JText::_('INVOICING_INVOICE_NOTES')?></h3>
        <blockquote>
            <p><?php echo htmlspecialchars($this->invoice->notes) ?></p>
        </blockquote>
    </div>
</div>
<?php } ?>
<div class="row top10">
    <div class="col-md-12">
<?php if($this->enablecoupon){ ?>
<?php if (@$this->couponstatus == "valid") {?>
<div class="alert alert-message"><?php echo sprintf(JText::_('INVOICING_COUPON_VALID'),"") ?></div>
<br/><br/>
<?php } else if (@$this->couponstatus == "error") {?>
<div class="alert alert-error"><?php echo sprintf(JText::_('INVOICING_COUPON_ERROR'),"") ?></div>
<br/><br/>
<?php } ?>
<h3><?php echo JText::_('INVOICING_ENTER_A_COUPON') ?></h3>
<?php $target = JRoute::_('index.php?option=com_invoicing&view=payment&task=checkcoupon'); ?>
<form action="<?php echo $target;?>" method="post" name="adminForm" id="adminForm">
    <div class="form-group">
        <div class="row">
            <div class="col-md-3">
                <input type="text" class="form-control col-md-6" value="" name="couponcode" />
                <input type="hidden" value="<?php echo $this->item->invoicing_invoice_id?>" name="id" />
            </div>
            <div class="col-md-6">
                <input type="submit" class="button btn btn-primary" value="<?php echo JText::_('INVOICING_VALID_COUPON') ?>"/>
            </div>
        </div>
        
    </div>
</form>
        </div>
</div>
<?php } ?>
<?php if (@$this->item->net_amount == 0) {?>
<div class="row top10 bottom10">
    <div class="col-md-12">
        <h3><?php echo JText::_('INVOICING_VALID_ORDER') ?></h3>
        <a href="<?php echo JRoute::_('index.php?option=com_invoicing&view=payment&task=validorder&id='.$this->item->invoicing_invoice_id)?>" class="btn btn-success pull-right">
        <?php echo JText::_('INVOICING_VALID_ORDER')?>
        </a>
    </div>
</div>
<?php } else { ?>
<div class="row top10 bottom10">
    <div class="col-md-12">
        <h3><?php echo JText::_('INVOICING_SELECT_A_PAYMENT_METHOD') ?></h3>
        <div class="row">
			<?php
			$dispatcher = JDispatcher::getInstance();
			JPluginHelper::importPlugin('invoicingpayment');
			?>
			<?php 
				$paymentLinks = $dispatcher->trigger('onInvoicingPaymentSelection', array ($this->item));
				//var_dump($paymentLinks);
				foreach($paymentLinks as $paymentLink) {
					if($paymentLink != null)
						echo '<div class="col-md-3">'.$paymentLink.'</div>';
				}
			?>
<?php /*
            <div class="col-md-3">
                <div class="paymentMeth" class="paymentbutton">
                    <a href="#">
                        <div class="paymentImg"><img src="<?php echo JURI::base()?>templates/adsclarity/images/payment/VMoney.png" class="img-responsive" /></div>
                        <div class="paymentTxt2L">Pay with VirtualMoney<br><small>1 500 points</small></div>
                    </a>
                </div>
            </div>
*/?>
        </div>
    </div>
</div>    
<?php } ?>
</div>
<?php
    JHtml::_('behavior.formvalidation');
    ?>
<script>
jQuery('.paymentbutton').click(function() {
	f = jQuery('#userprofileform').get(0);
	return document.formvalidator.isValid(f);
});
</script>
