<?php
/**
 * @package		Invoicing
 * @copyright	Copyright (C) 2010-2014 Juloa.com. All rights reserved.
 * @license GNU General Public License version 3, or later
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

$this->loadHelper('format');

JHTML::_('behavior.modal', "a.openmodal"); 

?>
<div class="juloawrapper">
    <div class="row">
        <div class="col-md-12">
            <h1><?php echo JText::_('INVOICING_INVOICES')?></h1>
            <table class="adminlist table table-striped paymentTable">
                <thead>
                    <tr>
                        <th class="th_invoice_id hidden-xs"><?php echo JText::_('INVOICING_INVOICE_ID')?></th>
                        <th class="th_invoice_date hidden-xxs"><?php echo JText::_('INVOICING_INVOICE_DATE')?></th>
                        <th class="th_invoice_status"><?php echo JText::_('INVOICING_INVOICE_STATUS')?></th>
                        <th class="th_invoice_amount"><?php echo JText::_('INVOICING_INVOICE_NET_AMOUNT')?></th>
                        <th class="th_invoice_actions"><?php echo JText::_('INVOICING_INVOICE_ACTIONS')?></th>
                    </tr>
                </thead>
                <tbody>
                    <?php
                    foreach($this->items as $order) { ?>
                    <tr>
                        <td class="hidden-xs"><?php echo InvoicingHelperFormat::formatInvoiceNumber($order) ?></td>
                        <td class="hidden-xxs"><?php echo date("d-m-Y",strtotime($order->created_on)) ?></td>
                        <td>
                        <?php echo InvoicingHelperFormat::formatInvoiceStatus($order->status) ?>
                        </td>
                        <td><?php echo InvoicingHelperFormat::formatPrice($order->net_amount,$order->currency_id); ?></td>
                        <td>
                            <?php if ($order->status != "CANCELLED") { /* ?>
                            <a target='_blank' href="<?php echo JRoute::_('index.php?option=com_invoicing&view=invoice&id='.$order->invoicing_invoice_id.'&tmpl=component')?>"></a>
                            <?php } else { ?>
                            <a href="<?php echo JRoute::_('index.php?option=com_invoicing&view=invoice&id='.$order->invoicing_invoice_id.'&layout=payment')?>"><?php echo JText::_('INVOICING_INVOICE_PAY')?></a>
                            <?php } ?> */
                            ?>
                            <div id="pic_actions">			
                                <a class="btn btn-default openmodal" rel="{handler: 'iframe', size: {x: 900, y: 600}}" href='<?php echo JRoute::_("index.php?option=com_invoicing&view=invoice&id=".$order->invoicing_invoice_id."&tmpl=component") ?>'><span class="glyphicon glyphicon-search" aria-hidden="true"></span> <?php echo JText::_('INVOICING_HTML_INVOICE'); ?></a>

                                <a class="btn btn-warning" href='<?php echo JRoute::_("index.php?option=com_invoicing&view=invoice&id=".$order->invoicing_invoice_id."&tmpl=component&format=pdf") ?>'><span class="glyphicon glyphicon-download-alt" aria-hidden="true"></span> <?php echo JText::_('INVOICING_DOWNLOAD_INVOICE'); ?></a>

                                <?php if ($order->status == "PENDING" || $order->status == "NEW") { ?>
                                <a class="btn btn-primary" href='<?php echo JRoute::_("index.php?option=com_invoicing&view=invoice&id=".$order->invoicing_invoice_id."&layout=payment") ?>'><span class="glyphicon glyphicon-cog" aria-hidden="true"></span> <?php echo JText::_('INVOICING_PAY_INVOICE'); ?></a>
                                <?php } ?>                            
                            </div>
                            <?php } ?>
                        </td>

                    </tr>
                    <?php } ?>
                </tbody>
            </table>
        </div>
    </div>
</div>
