<?php
/**
 *  @package Virtualmoney
 *  @copyright Copyright (c)2013 JoomPROD
 *  @license GNU General Public License version 3, or later
 */
// Check to ensure this file is within the rest of the framework
defined('JPATH_BASE') or die();

$this->loadHelper('cparams');
$this->loadHelper('format');
?>
<div class="juloawrapper">
    <div class="row">
        <div class="col-md-12">
            <h1><?php echo JText::_('COM_VIRTUALMONEY_ACCOUNT'); ?></h1>
            <h3><?php echo JText::_('COM_VIRTUALMONEY_TRANSACTION_BALANCE'); ?></h3>
        </div>
    </div>
    <div class="row">
        <div class="col-md-6">
            <?php echo JText::_('COM_VIRTUALMONEY_TRANSACTION_SOLDE').' : <strong>'.VirtualmoneyHelperFormat::formatPrice($this->credits).'</strong>'; ?>
        </div>
        <div class="col-md-6 text-right">
                <a href="<?php echo JRoute::_('index.php?option=com_virtualmoney&view=pack'); ?>" class="btn btn-success pull-right">
                    <span class="glyphicon glyphicon-star" aria-hidden="true"></span> <?php echo htmlspecialchars(sprintf(JText::_('COM_VIRTUALMONEY_BUY_HERE'),VirtualmoneyHelperFormat::getConfigFormatCurrency()->codePlural)); ?>
                </a>
        </div>
    </div>
    <div class="row top20">
        <div class="col-md-12">
            <h3><?php echo JText::_('COM_VIRTUALMONEY_LAST_TRANSACTIONS'); ?></h3>
            <table id="virtualmoney_transactiontable" class="table table-striped table-bordered">
                <tr>
                    <th align="center"><?php echo JText::_('COM_VIRTUALMONEY_TRANSACTION_CREATED_ON'); ?></th>
                    <th align="center"><?php echo JText::_('COM_VIRTUALMONEY_TRANSACTION_DESCRIPTION'); ?></th>
                    <th align="center"><?php echo JText::_('COM_VIRTUALMONEY_TRANSACTION_DEBIT'); ?></th>
                    <th align="center"><?php echo htmlspecialchars(sprintf(JText::_('COM_VIRTUALMONEY_TRANSACTION_CREDIT'),VirtualmoneyHelperFormat::getConfigFormatCurrency()->codePlural)); ?></th>
                </tr>
                <?php foreach($this->transactions as $transaction) { 
                ?>
                <tr>
                    <td><?php echo VirtualmoneyHelperFormat::formattedDate($transaction->created_on);?></td>
                    <td>
                        <?php
                            $description = JText::_($transaction->description);
                            $description = str_replace('<br />', '', $description);
                            $description = str_replace('&nbsp;', ' ', $description);
                            echo nl2br(htmlspecialchars($description));
                        ?>
                    </td>
                    <td align="right"><?php echo $transaction->debit ?></td>
                    <td align="right"><?php echo $transaction->credit ?></td>
                </tr>
                <?php 
                } ?>
            </table>
        </div>
    </div>
    <div class="row">
        <div class="col-md-12">
            <div class="creditsLine">
                <a href="<?php echo JRoute::_('index.php?option=com_virtualmoney&view=transactions'); ?>" class="btn btn-primary pull-right">
                    <?php echo JText::_('COM_VIRTUALMONEY_SEE_ALL_TRANSACTIONS'); ?>
                </a>
                <?php if(VirtualmoneyHelperCparams::getParam('exchange_module_enabled',0) == 1): ?>
                <a href="<?php echo JRoute::_('index.php?option=com_virtualmoney&view=exchange'); ?>" class="btn btn-primary pull-right">
                    <?php echo htmlspecialchars(sprintf(JText::_('COM_VIRTUALMONEY_GIVE_CREDITS'),VirtualmoneyHelperFormat::getConfigFormatCurrency()->codePlural)); ?>
                </a>
                <?php endif; ?>
            </div>
        </div>
    </div>
</div>