<?php
/**
 *  @package Virtualmoney
 *  @copyright Copyright (c)2013 JoomPROD
 *  @license GNU General Public License version 3, or later
 */
// Check to ensure this file is within the rest of the framework
defined('JPATH_BASE') or die();
$target = 'index.php?option=com_virtualmoney&view=pack&task=gotopayment';

include_once(JPATH_ROOT.'/administrator/components/com_virtualmoney/helpers/format.php');
include_once(JPATH_ROOT.'/administrator/components/com_virtualmoney/helpers/cparams.php');
include_once(JPATH_ROOT.'/administrator/components/com_invoicing/helpers/format.php');

?>
<div class="juloawrapper">
    <div class="row">
        <div class="col-md-12">
                <h1>
        <?php 
            echo sprintf(JText::_('COM_VIRTUALMONEY_PACKS'),VirtualmoneyHelperFormat::getConfigFormatCurrency()->codePlural); 
        ?>
                </h1>
    <?php if (@$this->status == "error") {?>
    <div class="alert alert-success" role="alert">
        <?php 
            // We set the fourth parameters of the function to false to avoid a double encode
            echo htmlspecialchars(sprintf(JText::_('COM_VIRTUALMONEY_PACKS_ERROR'),""), ENT_COMPAT, 'UTF-8', false);
        ?>
    </div>
    <?php } ?>
    <p><?php echo htmlspecialchars(sprintf(JText::_('COM_VIRTUALMONEY_PACKS_DESCRIPTION'),VirtualmoneyHelperFormat::getConfigFormatCurrency()->codePlural,VirtualmoneyHelperFormat::getConfigFormatCurrency()->codePlural), ENT_COMPAT, 'UTF-8', false); ?></p>
    <p class="creditsLeft"><?php echo htmlspecialchars(sprintf(JText::_('COM_VIRTUALMONEY_CREDITS_LEFT'),VirtualmoneyHelperFormat::formatPrice($this->credits)), ENT_COMPAT, 'UTF-8', false); ?></p>
            </div>
    </div>
    <div class="row">
        <?php foreach($this->packs as $pack) {
        ?>
            <div class="col-md-3">
                <div class="packBox">
                    <h3><?php echo $pack->title; ?></h3>
                    <div class="row">
                        <div class="col-md-12">
                            <?php echo sprintf(JText::_('COM_VIRTUALMONEY_PACKS_OPTION'),InvoicingHelperFormat::formatPrice($pack->price,$pack->currency_id),VirtualmoneyHelperFormat::formatPrice($pack->credits)); ?>
                        </div>
                    </div>
                    <div class="row buyLine">
                        <a href="<?php echo $target.'&pack_id='.$pack->virtualmoney_pack_id; ?>" class="btn btn-primary"><?php echo JText::_('COM_VIRTUALMONEY_PACKS_BUY'); ?></a>
                    </div>
                </div>
            </div>
        <?php 
        } ?>
    </div>
</div>