<?php
/**
 * @package     Joomla.Site
 * @subpackage  mod_banners
 *
 * @copyright   Copyright (C) 2005 - 2014 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

require_once JPATH_ROOT . '/components/com_bruce/helpers/tbanner.php';
$baseurl = JUri::base();
$id = uniqid("bannergroup_");

?>
<style>
.banneritem {
	width:100%;
    <?php if($effect != 'none' && $cycle != 0): ?>
    display: none;
	<?php else: ?>
    display: block;
	<?php endif; ?>
	text-align:center;
}
</style>
<div id="<?php echo $id;?>" class="bannergroup<?php echo $moduleclass_sfx ?>">
	
<?php foreach ($list as $item) : ?>
	<div class="banneritem">
		<?php $link = JRoute::_('index.php?option=com_bruce&view=banner&task=click&id='. $item->bruce_banner_id);?>
		<?php if ($item->type == 1) :?>
			<?php // Text based banners ?>
			<?php echo str_replace(array('{CLICKURL}', '{NAME}'), array($link, $item->title), $item->custombannercode);?>
		<?php else:?>
			<?php $imageurl = $item->params->img_imageurl; ?>
			<?php $width = $item->params->img_width; ?>
			<?php $height = $item->params->img_height; ?>
			<?php if (TbannerHelper::isImage($imageurl)) :?>
				<?php // Image based banner ?>
				<?php $alt = $item->params->img_alt;?>
				<?php $alt = $alt ? $alt : $item->title; ?>
				<?php $alt = $alt ? $alt : JText::_('MOD_BRUCE_BANNER'); ?>
				<?php if ($item->clickurl) :?>
					<?php // Wrap the banner in a link?>
					<?php $target = $params->get('target', 1);?>
					<?php if ($target == 1) :?>
						<?php // Open in a new window
						$extra = 'target="_blank"';
						?>
						
					<?php elseif ($target == 2):?>
						<?php // open in a popup window
						$extra = 'onclick="window.open(this.href, \'\',
								\'toolbar=no,location=no,status=no,menubar=no,scrollbars=yes,resizable=yes,width=780,height=550\');
								return false"';
						?>
					<?php else :?>
						<?php // open in parent window
						$extra = "";
						?>
					<?php endif;?> 
					<a
						href="<?php echo $link; ?>" <?php echo $extra ?>>
						<img class="img-responsive"
							src="<?php echo $baseurl . $imageurl;?>"
							alt="<?php echo $alt;?>"
							<?php if (!empty($width)) echo 'width ="'. $width.'"';?>
							<?php if (!empty($height)) echo 'height ="'. $height.'"';?>
						/>
					</a>
				<?php else :?>
					<?php // Just display the image if no link specified?>
					<img class="img-responsive"
						src="<?php echo $baseurl . $imageurl;?>"
						alt="<?php echo $alt;?>"
						<?php if (!empty($width)) echo 'width ="'. $width.'"';?>
						<?php if (!empty($height)) echo 'height ="'. $height.'"';?>
					/>
				<?php endif;?>
			<?php elseif (TbannerHelper::isFlash($imageurl)) :?>
				<object
					classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000"
					codebase="http://fpdownload.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,0,0"
					<?php if (!empty($width)) echo 'width ="'. $width.'"';?>
					<?php if (!empty($height)) echo 'height ="'. $height.'"';?>
				>
					<param name="movie" value="<?php echo $imageurl;?>" />
					<embed
						src="<?php echo $imageurl;?>"
						loop="false"
						pluginspage="http://www.macromedia.com/go/get/flashplayer"
						type="application/x-shockwave-flash"
						<?php if (!empty($width)) echo 'width ="'. $width.'"';?>
						<?php if (!empty($height)) echo 'height ="'. $height.'"';?>
					/>
				</object>
			<?php endif;?>
		<?php endif;?>
	</div>
<?php endforeach; ?>
</div>

<?php if (($cycle == 1)&&(count($list))) { 
JHtml::_('jquery.framework');
FOFTemplateUtils::addJS('media://com_bruce/js/jquery.cycle2.js');	
?>
<script type="text/javascript">
jQuery(document).ready(function() {
	jQuery('#<?php echo $id?>').cycle({
		slides : " > div",
		autoHeight: "calc",
		pauseOnHover : true,	
		fx: '<?php echo $effect?>',
		timeout: <?php echo $delay; ?>,
    	speed : <?php echo $speed; ?>
	});
});
</script>
<?php } 