<?php
/**
 * @package     Joomla.Site
 * @subpackage  mod_banners
 *
 * @copyright   Copyright (C) 2005 - 2014 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

$baseurl = JUri::base();
$id = uniqid("bannergroup_");

?>
<style>
.banneritem {
	width:100%;
    display: none;
	text-align:center;
}
</style>
<div id="<?php echo $id;?>" class="mainslider flexslider bannergroup<?php echo $moduleclass_sfx ?>">
	
<ul class="slides">
<?php foreach ($list as $item) : ?>
		<?php $link = JRoute::_('index.php?option=com_bruce&view=banner&task=click&id='. $item->bruce_banner_id);?>
		<?php if ($item->type == 1) :?>
			<?php // Text based banners ?>
			<li class="banneritem">
			<?php echo str_replace(array('{CLICKURL}', '{NAME}'), array($link, $item->title), $item->custombannercode);?>
			</li>
		<?php else:?>
			<?php $imageurl = $item->params->img_imageurl; ?>
			<?php $width = $item->params->img_width; ?>
			<?php $height = $item->params->img_height; ?>
				<?php // Image based banner ?>
				<?php $alt = $item->params->img_alt;?>
				<?php $alt = $alt ? $alt : $item->title; ?>
				<?php $alt = $alt ? $alt : JText::_('MOD_BRUCE_BANNER'); ?>
				<?php if ($item->clickurl) :?>
					<?php // Wrap the banner in a link?>
					<?php $target = $params->get('target', 1);?>
					<?php if ($target == 1) :?>
						<?php // Open in a new window
						$extra = 'target="_blank"';
						?>
						
					<?php elseif ($target == 2):?>
						<?php // open in a popup window
						$extra = 'onclick="window.open(this.href, \'\',
								\'toolbar=no,location=no,status=no,menubar=no,scrollbars=yes,resizable=yes,width=780,height=550\');
								return false"';
						?>
					<?php else :?>
						<?php // open in parent window
						$extra = "";
						?>
					<?php endif;?>
					<li class="slideritem" style="background-image: url('<?php echo $baseurl . $imageurl?>');"> 
						<div class="container">
						
                         <div class="carousel-caption">
								<a
							href="<?php echo $link; ?>" <?php echo $extra ?>>
                              <h1><?php echo $alt ?></h1>
                              <p class="lead"><?php echo $item->description ?></p>
</a>
                          </div>
						
                    	</div>
					</li>
				<?php else :?>
					<?php // Just display the image if no link specified?>
					<li class="slideritem" style="background-image: url('<?php echo $baseurl . $imageurl?>');"> 
						<div class="container">
						
                         <div class="carousel-caption">
								
                              <h1><?php echo $alt ?></h1>
                              <p class="lead"><?php echo $item->description ?></p>
                          </div>
						
                    	</div>
					</li>
				<?php endif;?>
		<?php endif;?>
	</li>
<?php endforeach; ?>
</ul>
</div>

<?php if (($cycle == 1)&&(count($list))) { 
JHtml::_('jquery.framework');
FOFTemplateUtils::addJS('../templates/adsclarity/js/jquery.flexslider.js');	
FOFTemplateUtils::addCSS('../templates/adsclarity/css/flexslider.css');	
?>
<script type="text/javascript">
jQuery(document).ready(function() {
   jQuery('#<?php echo $id; ?>').flexslider({
    animation: "slide"
  });
});
</script>
<?php } 
