<?php
/**
 * @package     Joomla.Site
 * @subpackage  Templates.adsclarity
 *
 * @copyright   Copyright (C) 2005 - 2015 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

$app             = JFactory::getApplication();
$doc             = JFactory::getDocument();
$user            = JFactory::getUser();
$this->language  = $doc->language;
$this->direction = $doc->direction;

// Getting params from template
$params = $app->getTemplate(true)->params;

// Detecting Active Variables
$option   = $app->input->getCmd('option', '');
$view     = $app->input->getCmd('view', '');
$layout   = $app->input->getCmd('layout', '');
$task     = $app->input->getCmd('task', '');
$itemid   = $app->input->getCmd('Itemid', '');
$sitename = $app->get('sitename');

if (!file_exists(JPATH_ROOT.'/templates/adsclarity/css/custom.css')) {
	$content = "";
	JFile::write(JPATH_ROOT.'/templates/adsclarity/css/custom.css',$content);
		
}

//If the style switcher is set at off, we ignore the parameter style in the URL 
if ($this->params->get('styleswitcher') == "1") {
	$styleSwitcher = $app->input->get('style', 'light', 'string');
} else {
	$styleSwitcher = "";
}

// Merge the language overrides
$paths = array(JPATH_ROOT);
$jlang = JFactory::getLanguage();
$jlang->load("adsclarity", $paths[0], 'en-GB', true);
$jlang->load("adsclarity", $paths[0], null, true);

if($task == "edit" || $layout == "form" )
{
	$fullWidth = 1;
}
else
{
	$fullWidth = 0;
}

// Add JavaScript Frameworks
JHtml::_('bootstrap.framework');
$doc->addScript($this->baseurl . '/templates/' . $this->template . '/js/template.js');

// Add Stylesheets
$doc->addStyleSheet($this->baseurl . '/templates/' . $this->template . '/css/bootstrap.css');


// Load optional RTL Bootstrap CSS
JHtml::_('bootstrap.loadCss', false, $this->direction);

// Adjusting content width
if ($this->countModules('left') && $this->countModules('right'))
{
	$span = "col-md-6";
}
elseif ($this->countModules('left') && !$this->countModules('right'))
{
	$span = "col-md-9";
}
elseif (!$this->countModules('left') && $this->countModules('right'))
{
	$span = "col-md-9";
}
else
{
	$span = "col-md-12";
}

// Logo file or site title param
if ($this->params->get('logoFile'))
{
	$logo = JUri::root() . $this->params->get('logoFile');
} else {
	switch($this->params->get('templateColor')) {
		case "blue": $logoName = "blue";break;
		case "orange": $logoName = "orange";break;
		case "red": $logoName = "red";break;
		default: $logoName = "green";break;
	}
	$logo = JUri::root() . 'templates/' . $this->template . '/images/logos/'.$logoName.'-logo.png';
}

if ($this->params->get('sitetitle'))
{
	$title = $this->params->get('sitetitle');
}
else
{
	$title = 'AdsClarity';
}
?>
<!DOCTYPE html>
<?php if ($this->params->get('templateSkin') == "dark") {
	$attr = 'class="dark"';
} else {
	$attr = '';
}
?>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>" <?php echo $attr?> >
<head>
	<meta name="viewport" content="width=device-width, initial-scale=1.0" />
	<?php if ($this->params->get('styleswitcher') == "1") { ?>
	<link rel="stylesheet" href="<?php echo $this->baseurl . '/templates/' . $this->template . '/css/styleswitcher.css'; ?>" type="text/css" />
	<?php } ?>
	<jdoc:include type="head" />
	<?php  $font = $this->params->get('googleFontName');
		if ($font == "") { 
			$font = "Lato";
		}
		?>
    <link href='http://fonts.googleapis.com/css?family=<?php echo $font?>:300,400,700,900' rel='stylesheet' type='text/css'>
	<?php  $font2 = $this->params->get('googleFontName2');
		if ($font2 == "") { 
			$font2 = "Lato";
		}
		if ($font2 != $font) {
		?>
   		<link href='http://fonts.googleapis.com/css?family=<?php echo $font2?>:300,400,700,900' rel='stylesheet' type='text/css'>
	<?php } ?>
	<?php switch($this->params->get('templateColor')) {
			case "blue": $tfile = "blue.css";break;
			case "orange": $tfile = "orange.css";break;
			case "red": $tfile = "red.css";break;
			default: $tfile = "default.css";break;
	} ?>
	
	<link rel="stylessheet" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" />
    <link rel="stylesheet" href="<?php echo $this->baseurl . '/templates/' . $this->template . '/css/template.css'; ?>" type="text/css" />
	<style type="text/css">
		h1, h2, h3, h4, h5, h6, .h1, .h2, .h3, .h4, .h5, .h6{
			font-family: '<?php echo str_replace('+', ' ', $font); ?>', sans-serif;
		}
		body, .juloawrapper {
			font-family: '<?php echo str_replace('+', ' ', $font2); ?>', sans-serif;
		}
	</style>
	<link id="style_color" rel="stylesheet" href="<?php echo $this->baseurl . '/templates/' . $this->template . '/css/colors/'.$tfile; ?>" type="text/css" />
	<link rel="stylesheet" href="<?php echo $this->baseurl . '/templates/' . $this->template . '/css/custom.css'; ?>" type="text/css" />
	<!--[if lt IE 9]>
		<script src="<?php echo JUri::root(true); ?>/media/jui/js/html5.js"></script>
		<script src="<?php echo JURI::base(). 'templates/' . $this->template ?>/js/respond.min.js"></script>
		<script src="<?php echo JURI::base(). 'templates/' . $this->template ?>/js/ie.js"></script>
	<![endif]-->
</head>

<?php 
	$bodyclasses = "";
if ($this->params->get('templateSkin') == "dark") {
	$bodyclasses .= " dark ";
}
if ($this->params->get('templateLayout') == "boxed") {
	$bodyclasses .= " boxed-layout container ";
}

?>
<body class="site <?php echo $bodyclasses. $option
	. ' view-' . $view
	. ($layout ? ' layout-' . $layout : ' no-layout')
	. ($task ? ' task-' . $task : ' no-task')
	. ($itemid ? ' itemid-' . $itemid : '')
	. ($params->get('fluidContainer') ? ' fluid' : '');
?>">
	<?php if ($this->params->get('styleswitcher') == "1") { ?>
		<i class="style-switcher-btn glyphicon glyphicon-cog hidden-xs"></i>
		<div class="style-switcher animated fadeInRight">
			<div class="style-swticher-header">
				<div class="style-switcher-heading">Style Switcher</div>            
				<div class="theme-close"><i class="glyphicon glyphicon-remove-circle"></i></div>
			</div>

			<div class="style-swticher-body">
				<!-- Theme Colors -->
				<div class="style-switcher-heading">Theme Colors</div>
				<ul class="list-unstyled">
				    <li data-header="light" data-style="default" class="theme-default"></li>
				    <li data-header="light" data-style="blue" class="theme-blue theme-active"></li>
				    <li data-header="light" data-style="orange" class="theme-orange"></li>
				    <li data-header="light" data-style="red" class="theme-red"></li>
				    <!--<li data-header="light" data-style="light" class="theme-light"></li>
				    <li data-header="light" data-style="purple" class="theme-purple last"></li>
				    <li data-header="light" data-style="aqua" class="theme-aqua"></li>
				    <li data-header="light" data-style="brown" class="theme-brown"></li>
				    <li data-header="light" data-style="dark-blue" class="theme-dark-blue"></li>
				    <li data-header="light" data-style="light-green" class="theme-light-green"></li>
				    <li data-header="light" data-style="dark-red" class="theme-dark-red"></li>
				    <li data-header="light" data-style="teal" class="theme-teal last"></li>-->
				</ul>

				<!-- Theme Skins -->
				<div class="style-switcher-heading">Theme Skins</div>
				<div class="row no-col-space margin-bottom-20 skins-section">
				    <div class="col-xs-6">
				        <button class="btn-u btn-u-xs btn-u-dark btn-block light-btn active-switcher-btn" data-skins="default">Light</button>
				    </div>
				    <div class="col-xs-6">
				        <button class="btn-u btn-u-xs btn-u-dark btn-block dark-btn " data-skins="dark">Dark</button>
				    </div>
				</div>            

				<hr>

				<!-- Layout Styles -->
				<div class="style-switcher-heading">Layout Styles</div>
				<div class="row no-col-space margin-bottom-20">
				    <div class="col-xs-6">
				        <a class="btn-u btn-u-xs btn-u-dark btn-block wide-layout-btn active-switcher-btn" href="javascript:void(0);">Wide</a>                
				    </div>
				    <div class="col-xs-6">
				        <a class="btn-u btn-u-xs btn-u-dark btn-block boxed-layout-btn" href="javascript:void(0);">Boxed</a>                
				    </div>
				</div>           
			</div>
		</div>
		<?php } ?>
    <div class="container-fluid topbar">
        <div class="row">
            <nav class="navbar navbar-inverse navbar-static-top">
            <div class="col-md-12">
                <div class="container">
                <?php if ($this->countModules('menutop')){ ?>
                    <jdoc:include type="modules" name="menutop" style="xhtml" />
                <?php } ?>
                </div>                    
            </div>
            </nav>
        </div>
    </div>
	<!-- Body -->
	<div class="body">
        <div class="container">
            <!-- Header -->
            <header class="header" role="banner">
                <div class="header-inner clearfix">
                    <div id="opensidemenu" class="pull-right">
						<span class="glyphicon glyphicon-menu-hamburger"></span>
					</div>
                    <a class="navbar-brand pull-left logo" href="<?php echo $this->baseurl; ?>/">
                        <div class="logoImage">
                            <img src="<?php echo $logo; ?>"  alt="<?php echo $title; ?>"/>
                        </div>
                        <div class="logoText">
                            <?php
                                if($title == "AdsClarity"){
                                    echo "Ads<strong>Clarity</strong>";
                                }else{
                                    echo $title;
                                }
                            ?>
                            <?php if ($this->params->get('sitedescription')) : ?>
                                <?php echo '<div class="site-description">' . htmlspecialchars($this->params->get('sitedescription')) . '</div>'; ?>
                            <?php endif; ?>
                        </div>                       
                    </a>
                    
                    <div class="header-search pull-right">
                        <jdoc:include type="modules" name="topright" style="none" />
                    </div>
                </div>
                <?php if ($this->countModules('menu')) : ?>
                <div class="row">
                    <div class="col-md-12">
                        <nav class="navbar navbar-default" role="navigation">
                            <jdoc:include type="modules" name="menu" style="none" />
                        </nav>
                    </div>
                </div>
                <?php endif; ?>
            </header>
        </div>
        <div class="bannerBox">
        	<jdoc:include type="modules" name="banner" style="xhtml" />
		</div>
		<div class="container">
            <?php if ($this->countModules('top')) : ?>
			<div class="row">
                    <jdoc:include type="modules" name="top" style="simple" />
            </div>
			<?php endif ?>
			<div class="contentBox row">
		        <?php if ($this->countModules('left')) : ?>
		            <!-- Begin Sidebar -->
		            <div id="sidebar" class="col-md-3">
		                <div class="sidebar-nav">
		                    <jdoc:include type="modules" name="left" style="default" />
		                </div>
		            </div>
		            <!-- End Sidebar -->
		        <?php endif; ?>
		            <main id="content" role="main" class="<?php echo $span; ?>">
		                <!-- Begin Content -->
		                <jdoc:include type="modules" name="topcontent" style="simple" />
		                <jdoc:include type="message" />
		                <jdoc:include type="component" />
		                <jdoc:include type="modules" name="bottomcontent" style="simple" />
		                <!-- End Content -->
		            </main>
		        <?php if ($this->countModules('right')) : ?>
		            <div id="aside" class="col-md-3">
		                <!-- Begin Right Sidebar -->
		                <jdoc:include type="modules" name="right" style="default" />
		                <!-- End Right Sidebar -->
		            </div>
		        <?php endif; ?>
            </div>
			<?php if ($this->countModules('bottom')) : ?>
			<div class="row">
            	<jdoc:include type="modules" name="bottom" style="simple" />
            </div>
			<?php endif ?>
        </div>
	</div>
	<!-- Footer -->
	<footer class="footer" role="contentinfo">
        <div class="footer-top">
            <div class="container<?php echo ($params->get('fluidContainer') ? '-fluid' : ''); ?>">
                <div class="row">
				    <jdoc:include type="modules" name="footer" style="bt3" />
                </div>
            </div>
		</div>
        <div class="footer-bottom">
            <div class="container<?php echo ($params->get('fluidContainer') ? '-fluid' : ''); ?>">
                <p class="pull-right">
                    <a href="#top" id="back-top">
                        <?php echo JText::_('TPL_ADSCLARITY_BACKTOTOP'); ?>
                    </a>
                </p>
                <p>
                    &copy; <?php echo date('Y'); ?> <?php echo $sitename; ?>
                </p>
            </div>
        </div>
	</footer>
	<nav class="cbp-spmenu cbp-spmenu-vertical cbp-spmenu-left" id="sidemenu">
		<h3><?php echo JText::_('TPL_ADSCLARITY_SIDEMENU')?></h3>
		<div id="closesidemenu" onclick="jQuery('#sidemenu').removeClass('cbp-spmenu-open')"> 
			<span class="glyphicon glyphicon-menu-hamburger"></span>
		</div>
		<jdoc:include type="modules" name="sidemenu" style="none" />
	</nav>
	<jdoc:include type="modules" name="debug" style="none" />
	<?php if ($this->params->get('styleswitcher') == "1") { ?>
	<script src="<?php echo $this->baseurl . '/templates/' . $this->template . '/js/styleswitcher.js' ?>" type="text/javascript"></script>
	<script>
		 jQuery(document).ready(function() {
			StyleSwitcher.initStyleSwitcher('<?php echo $this->baseurl . '/templates/' . $this->template?>');
			
			<?php
			if($styleSwitcher == 'dark') {
				?>
				styleCreateCookie("styleswitcher_skin","dark",1);
                jQuery(".dark-btn").addClass("active-switcher-btn");
                jQuery(".light-btn").removeClass("active-switcher-btn");
                jQuery("body").addClass("dark"); 
				jQuery("html").addClass("dark"); 
				<?php
			}
			?>
		}); 
	</script>
	<?php } ?>
	<?php if($params->get('analytics') != ''): ?>
	<script>
	  (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
	  (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
	  m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
	  })(window,document,'script','//www.google-analytics.com/analytics.js','ga');
	
	  ga('create', '<?php echo $params->get('analytics'); ?>', 'auto');
	  ga('send', 'pageview');
	
	</script>
	<?php endif; ?>
</body>
</html>
